<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$controle1=$sessao->getVar('controle1');
$tipoDoc=$sessao->getVar('controle3');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$idDoc=$sessao->getVar('transfere');

//echo("amostralong= $amostraLong  controle= $controle<br>");

//AQUI DEFINE AS COLUNAS
//como funcionam estas colunas?
//a grade tetezazolio esta na classe calculo e tem 36 colunas fixas
//eu digo para o computador quais as colunas da grade  tetrazolio que eu quero no formato
//SE O CLIENTE QUISER ALGUMA COLUNA A MAIS EU VENHO AQUI E ACRESCENTO SO NO MODELO
$LI=10;//LI=LARGURA IGUAL  ONDE NAO FOR LI EU VOU LA E ESCRE O NUMERO
$cota2=30;
$cota8=200;

    $vetorIndice[1]=1;   $vetorLargura[1]=5;//amostra
    $vetorIndice[2]=1;   $vetorLargura[2]=20;//amostra
    $vetorIndice[3]=39;   $vetorLargura[3]=45.8;//cultivar era largura=52.8
    $vetorIndice[4]=1;    $vetorLargura[4]=20.2;//lote
    $vetorIndice[5]=2;    $vetorLargura[5]=10.2;//era 10.2
    $vetorIndice[6]=3;    $vetorLargura[6]=8;//era10
    $vetorIndice[7]=4;    $vetorLargura[7]=7.3;//era10.5
    $vetorIndice[8]=5;    $vetorLargura[8]=6.8;//era6.6;//
    $vetorIndice[9]=6;    $vetorLargura[9]=10.3;////silvestres era 5,3
    $vetorIndice[10]=7;   $vetorLargura[10]=9.3;//
    $vetorIndice[11]=8;   $vetorLargura[11]=8.1;//
    $vetorIndice[12]=9;   $vetorLargura[12]=8.2;//
    $vetorIndice[13]=10;  $vetorLargura[13]=8.1;//
    $vetorIndice[14]=11;  $vetorLargura[14]=7.4;//
    $vetorIndice[15]=12;  $vetorLargura[15]=7.4;//
    $vetorIndice[16]=13;  $vetorLargura[16]=5.5;//
    $vetorIndice[17]=14;  $vetorLargura[17]=8.3;//
    $vetorIndice[18]=15;  $vetorLargura[18]=8.6;//
    $vetorIndice[19]=16;  $vetorLargura[19]=9.4;//
    $vetorIndice[20]=17;  $vetorLargura[20]=7.6;//
    $vetorIndice[21]=18;  $vetorLargura[21]=7.6;//
    $vetorIndice[22]=18;  $vetorLargura[22]=7.8;//
    $vetorIndice[23]=18;  $vetorLargura[23]=8.0;//
    $vetorIndice[24]=18;  $vetorLargura[24]=7.7;//
    $vetorIndice[25]=18;  $vetorLargura[25]=8.0;//
    $vetorIndice[26]=18;  $vetorLargura[26]=10.2;//
    $vetorIndice[27]=18;  $vetorLargura[27]=9.8;//


$limite=sizeof($vetorIndice);
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Times','',8);

     //LINHAS LATERAIS DO CORPO DO DOCUMENTO
	 $pdf->Line($margemDireita,$cota2,$margemDireita,$cota8);	//linha direita
	 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//linha externa superior	
	 $pdf->Line($margemEsquerda,$cota2,$margemEsquerda,$cota8);//linha externa esquerda	
	 $pdf->Line($margemEsquerda,$cota8,$margemDireita,$cota8);//ULTIMA LINHA DO RELATORIO	



			 //cabecalho
			//captura dados do documento , o numero a especie o remetente etc
			$vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);

			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			// $pdf-> Rect($margemEsquerda,1,$margemDireita-10,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Times','B',11);
			 
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
	         $pdf->SetFont('Times','B',9);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[0]),0,1,'C');//lab nome
			 $cota1=8; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
			 $cota1=13;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[2]),0,1,'C');//lab nome
			 $cota1=18; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[3]),0,1,'C');//lab nome
			 
             $cota1=30; 
			 //$pdf-> Rect($margemEsquerda,$cota1,$margemDireita-10,20);
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('LAUDO DE ANÁLISES Nº '.$vetorDadosDocumento[1]),1,1,'C');//lab nome
	        $pdf->SetFont('Arial','BI',10);
			$clienteReduzido=substr($cliente,0,4);
            if($tipoDoc=='Plural'  && $clienteReduzido=='TS L'):
			    //nao imprime a legenda hihihihI
			
			else:
	            //aqula legenda de proibido comercializacao
				$cota2+=2;
				$pdf->Rect(90,$cota2+5,100,10);
				$pdf->setXY(90,$cota2+5);
				$pdf->Cell(100,5,utf8_decode('PROIBIDA A COMERCIALIZAÇÃO'),0,0,'C',1);//lab nome
				$pdf->setXY(90,$cota2+10);
				$pdf->Cell(100,5,utf8_decode('Art. 84, $ 1º e $ 2º, do Decreto nº 5.153, de 23.07.04'),0,0,'C',1);//lab nome
			endif;
			
			
	        $pdf->SetFont('Arial','',8);			
			/////enxerto do boletim//////////////
			    #####################DADOS DO REQUERENTE##################################################
	 $cota2+=17;			
	 $larguraDaLinha=3.5;
	 $pdf->SetLineWidth($extraFino);
	 $pdf->setXY($margemEsquerda,$cota2);
     global $amostraLong;
     $amostraLong=$vetori[5];
	 $pdf->SetFont('Times','B',8);
	 //$limiteDireito=200;
     $pdf->Cell($larguraUtil,$larguraDaLinha,utf8_decode('IDENTIFICAÇÃO DO REQUERENTE').$limiteDireito ,1,1,'C',1);	
	 $pdf->Ln(0);
     $pdf->SetFont('Times','',8);
     $pdf->Cell(160,$larguraDaLinha,'Requerente:'.utf8_decode($vetorDadosDocumento[0]) ,1,1,'L');
     //$pdf->Cell(160,$larguraDaLinha,'Requerente:'.$cliente ,1,1,'L');


	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(160);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(121,$larguraDaLinha,'RENASEM:'.$vetorDadosDocumento[6] ,1,1,'L');
	 $pdf->Ln(0);//ln(0)da o salto criando uma celuma contigua   ln()=cria um salto afastando a celula tantos milimetros quento a altura da linha anterior
     $pdf->Cell(281,$larguraDaLinha,utf8_decode('Endereço:'.$vetorDadosDocumento[8] ),1,1,'L');
     ################IDENTIFICACAO DA AMOSTRA##################################################
     $pdf->SetFont('Times','B',8);
     $pdf->Cell($larguraUtil,$larguraDaLinha,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA') ,1,0.5,'C',1);	
     $pdf->SetFont('Times','',8);
	 $pdf->Ln(0);//ln(0)da o salto criando uma celuma contigua   ln()=cria um salto afastando a celula tantos milimetros quento a altura da linha anterior
     $nomeComum=$vetorDadosDocumento[2];
	 $tama=strlen($nomeComum)*3;
     $pdf->Cell(12,$larguraDaLinha,utf8_decode('Espécie:'),0,0,'L');
	 $especiex=$nomeComum;
     $pdf->Cell($tama,$larguraDaLinha,utf8_decode($nomeComum ),0,0,'L');
     $pdf->SetFont('Times','I',8);
     $nomeCientifico=$vetorDadosDocumento[13];
     $pdf->Cell(70,$larguraDaLinha,'('.$nomeCientifico.')' ,0,1,'L');
     $pdf->SetFont('Times','',8);
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(100);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     //$pdf->Cell(75,$larguraDaLinha,'Cultivar:'.utf8_decode($vetorDadosDocumento[3]) ,1,1,'L');
     $pdf->Cell(75,$larguraDaLinha,' ' ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(175);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(35,$larguraDaLinha,'Safra:'.$vetorDadosDocumento[9] ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(210);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(71,$larguraDaLinha,'Categoria:'.utf8_decode($vetorDadosDocumento[10]) ,1,1,'L');
	 $pdf->Ln(0);//-8 é pra ele imprimir na mesma linha
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('Procedência:'.$vetorDadosDocumento[14]),1,0,'L');
	 //$pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 //$pdf->Cell(180);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(75,$larguraDaLinha,'Data do Recebimento:'.$vetorDadosDocumento[12] ,1,0,'L');//era 101 de larguras
     $pdf->Cell(106,$larguraDaLinha,utf8_decode('Data conclusão:').$vetorDadosDocumento[38] ,1,1,'L');//era 101 de larguras
	 
	 
	 //$pdf->Ln(0);//-8 é pra ele imprimir na mesma linha
     $pdf->Cell(100,$larguraDaLinha,'Nome do amostrador/RT:'.utf8_decode($vetorDadosDocumento[5]) ,1,0,'L');
	 //$pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 //$pdf->Cell(140);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(181,$larguraDaLinha,utf8_decode('Nº RENASEM:').$vetorDadosDocumento[7] ,1,1,'L');

			///////final do enxerto do boletim/////////////
			
            $cota1=74;
			$caminhoFinal="Imagens/laudopluralCRUZALTA.JPG";//desenho com as colunas do laudo
			$pdf->Image($caminhoFinal,9.8,$cota1,281,47.4,'JPG');
			
			$cota1=75;
			$pesoPureza= $vetorDadosDocumento[15];
			$pesoDOSN= $vetorDadosDocumento[17];
	        $pesoNocivas= $vetorDadosDocumento[16];
			$pdf->setXY(110.8,$cota1);//era 113
			
			$objetocalculo=new calculos();
            //vai verificar se nenhuma analise foi feita para colocar peso=-O- 
			$binarioAnalises=$objetocalculo->binarioAnalises($idDoc);
            if(substr($binarioAnalises,0,1)=='0')$pesoNocivas='-O-';
            if(substr($binarioAnalises,1,1)=='0')$pesoPureza='-O-';
            if(substr($binarioAnalises,2,1)=='0')$pesoDOSN='-O-';
			
			
            $pdf->Cell(23,$larguraDaLinha,"PUREZA em ".$pesoPureza."g" ,0,1,'C');
			$pdf->setXY(138.8,$cota1+4);
            $pdf->Cell(14,$larguraDaLinha,"em".$pesoDOSN."g",0,0,'C');
            $pdf->Cell(16,$larguraDaLinha,"em".$pesoNocivas."g",0,0,'C');



	        $cota1=116;
			
			//$objetocalculo=new calculos();
			//$modalidadeArquivada='8';



		
//VAI ACHAR AS ID DAS AMOSTRAS QUE VAO NO LAUDO

//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$genericaPonte=new tabelagenerica();
$genericaPonte->tabela="documentosponte";
$genericaPonte->campos_valores = array(
		"dpo_amostra_vinculada" => NULL,
	);
$genericaPonte->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 15";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$genericaPonte->selecionaCampos($genericaPonte);
//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");
//vai pegar os dados da amopstra la na classe calculo pois ja tem a id da amostra
 //resultaso sao impressoas a partr da cota 3 car em cima da  linha divisoria muito grossa
 $alturaLinhaResultados=8;//define a largura das linhas de resultados
$contador=1;
$modalidadeArquivada=8;	



if($clienteReduzido=='TS L'):
   $pdf->SetFont('Arial','',10);
else:
   $pdf->SetFont('Arial','',8);
endif; 




  
$indiceVetorNomesContaminantes=0;//precisa ficar fora do while porque vai criar um vetor juntando os contaminantes
$tratamentoTabajara="";
while ($resgenericaPonte = $genericaPonte->retornaDados()):
    $amostraLong=$resgenericaPonte->dpo_amostra_vinculada;
    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
	$contaminanteAcumulado="Amostra:" .$vetorAmostraBruto[1];
	$iniciando="SIM";	
    //aqui vai achar o teste de tetrazolio 
	//aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
    $viabilidadeFinal='-N-';
	$vigorFinal='-N-';

//echo("especiex $especiex<br>");
$tipo="nenhum";
	
	if(substr($especiex,0,4)=='SOJA' || substr($especiex,0,4)=='FEIJ'):
        $tipo="SOJA";
        //echo("chanan,dp a clase especiex $especiex<br>");
        $matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
	    //$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);


	    //ELE TRAZ NA VERDADE 4 LINHAS 0=CABECALHO  3=CONTEM O RESUMO dos resuultados
		$registrosRep1=$matrizResumo[1][19];
		$registrosRep2=$matrizResumo[2][19];
		//$vigorFinal=$matrizResumo[3][11];//nao deletar esta linha pois ajuda entender que pode pegar a viabilidae e o vigor desta forma
		$viabilidadeFinal=$matrizResumo[3][10];
	    $vigorFinal=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');
		$viabilidadeFinal=$matrizResumo[3][10];
		$vigorFinal=$matrizResumo[3][11];
        if($viabilidadeFinal=='100'):
		    $viabilidadeFinal='-N-';
			$vigorFinal='-N-';
        endif;
		$i22=$matrizResumo[3][10];	
        $i23=$matrizResumo[3][11];	
		
	else:
       $tipo="FORRAGEIRA";
       //aqui trabalha se for forrageiras
	   $viabilidadeFinal=$objetocalculo->calculaTetrazolioForrageira($amostraLong,$modalidadeArquivada);//viabilidae forrageira
	   //$viabilidadeFinal='34';
	   $vigorFinal='-O-';
	   $i22=$viabilidadeFinal;	
       $i23=$vigorFinal;	
	endif;//testa se é soja ou forrageira pois se for forrageira a viabilidade é tomada de forma diferente
	
	$cota1+=5;//incrementa linha para colocar na linha seguinte
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($vetorLargura[1],5,$contador,1,0,'R');//numero de ordem 1,2,3,4,5
	$pdf->Cell($vetorLargura[2],5,str_pad($vetorAmostraBruto[1], 5, "0", STR_PAD_LEFT).date("/y",strtotime($vetorAmostraBruto[36])) ,1,0,'C');//amostra
	$textoReduzido=substr($vetorAmostraBruto[31],0,20);
	$pdf->Cell($vetorLargura[3],5,utf8_decode($textoReduzido),1,0,'C');//cultivar
	$textoReduzido=substr($vetorAmostraBruto[2],0,10);
	$pdf->Cell($vetorLargura[4],5,utf8_decode($vetorAmostraBruto[2]),1,0,'C');//lote
	$pdf->Cell($vetorLargura[5],5,utf8_decode($vetorAmostraBruto[35]),1,0,'C');//peneira
	//tratamento se tiver mais de 3 caracteres
    if(strlen($vetorAmostraBruto[55])>3):
	   $tratamentoTabajara=$vetorAmostraBruto[55];
	endif;
	

	$valorPureza=$vetorAmostraBruto[4];
	$pdf->Cell($vetorLargura[6],5,utf8_decode($valorPureza),1,0,'C');//puras
	//aqui vai colocar letra menor caso for TRAÇO
    $valor=$vetorAmostraBruto[17];//material inerte	
    if($valor=='TRAÇO'):
      $pdf->SetFont('Arial','',6);   	
	  $pdf->Cell($vetorLargura[7],5,utf8_decode($valor),1,0,'C');//material inerte
	  if($clienteReduzido=='TS L'):
          $pdf->SetFont('Arial','',10);
	  else:
		   $pdf->SetFont('Arial','',8);
	  endif; 
	else:
	  $pdf->Cell($vetorLargura[7],5,utf8_decode($valor),1,0,'C');//material	  
	endif;	
	//aqui vai colocar letra menor caso for TRAÇO
    $valor=$vetorAmostraBruto[18];////outras sementes
    if($valor=='TRAÇO'):
      $pdf->SetFont('Arial','',6);   	
	  $pdf->Cell($vetorLargura[8],5,utf8_decode($valor),1,0,'C');////outras sementes
      if($clienteReduzido=='TS L'):
          $pdf->SetFont('Arial','',10);
      else:
          $pdf->SetFont('Arial','',8);
      endif; 	
      else:
	    $pdf->Cell($vetorLargura[8],5,utf8_decode($valor),1,0,'C');////outras sementes
	endif;	
	
	if($valorPureza=='-N-'):
       	$a='-N-';//sementes silvestres
       	$b='-N-';//outras especies 
	    $c='-N-';//outras especies 
		$d='-N-';//outras especies 
    else:
		$a=$vetorAmostraBruto[8];//sementes silvestres
		$b=$vetorAmostraBruto[7];//outras especies cultivada
		$c=$vetorAmostraBruto[9];//toleradas
		$d=$vetorAmostraBruto[10];//proibidas
        if($a=='-N-')$a='0';
        if($b=='-N-')$b='0';
        if($c=='-N-')$c='0';
        if($d=='-N-')$d='0';
	endif;
   	$pdf->Cell($vetorLargura[9],5,$a,1,0,'C');//sementes silvestres
    $pdf->Cell($vetorLargura[10],5,$b,1,0,'C');//outras especies cultivada
    $pdf->Cell($vetorLargura[11],5,$c,1,0,'C');//toleradas
    $pdf->Cell($vetorLargura[12],5,$d,1,0,'C');//proibidas


	
	$pdf->Cell($vetorLargura[13],5,utf8_decode($vetorAmostraBruto[3]),1,0,'C');//plantulas normais
	$pdf->Cell($vetorLargura[14],5,utf8_decode($vetorAmostraBruto[11]),1,0,'C');//plantulas anormais
	$pdf->Cell($vetorLargura[15],5,utf8_decode($vetorAmostraBruto[14]),1,0,'C');//sementes mortas
	//aqui vai capturar o valor de vigor peimeira contagem ou clssificacao de vigor
	$vigorPrimeiraContagem=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');
	$pdf->Cell($vetorLargura[16],5,utf8_decode($vigorPrimeiraContagem),1,0,'C');//sementes infecionadas
	$pdf->Cell($vetorLargura[17],5,utf8_decode($vetorAmostraBruto[13]),1,0,'C');//sementes dormentes
	$pdf->Cell($vetorLargura[18],5,utf8_decode($vetorAmostraBruto[12]),1,0,'C');//sementes duras
	//PEGA AS OUTRAS DETERMINACOES 
	$pdf->Cell($vetorLargura[19],5,utf8_decode($vetorAmostraBruto[38]),1,0,'C');//peso de mil sementes
	$pdf->Cell($vetorLargura[20],5,utf8_decode($vetorAmostraBruto[41]),1,0,'C');//teste de frio
	$pdf->Cell($vetorLargura[21],5,utf8_decode($vetorAmostraBruto[39]),1,0,'C');//envelhecimento acelerado
    //aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
	$i22=$viabilidadeFinal;
	if($i22=="")$i22='-N-';
	//vigor
	if($vigorFinal=="" || $vigorFinal=="-N-"):
	    $i23='-N-';
        $fezTetrazolio="nao";
	else:      
        $fezTetrazolio="sim";
    	$i23=$vigorFinal;
	endif;
	//aqui imprime 0 se existe o teste de vigor e se nao foi achado nada de p,m.u, ou d	
    //aqui atribui o valor trazido la do calculos, que pode ser uma valor numerico
    $i24=$matrizResumo[3][12];//duras
    $i25=$matrizResumo[3][3];//mecanico
    $i26=$matrizResumo[3][6];//umidade
    $i27=$matrizResumo[3][9];//percevejp
    //aqui vai atribuir n ou zero caso o valor for   em branco e tiver feito ou nao o teste
	if($fezTetrazolio=="nao"):
    	if($matrizResumo[3][12]=="")$i24='-N-';//duras
    	if($matrizResumo[3][3]=="")$i25='-N-';//mecanico
    	if($matrizResumo[3][6]=="")$i26='-N-';//umidade
    	if($matrizResumo[3][9]=="")$i27='-N-';//percevejp
	endif;	
	//se fez tetrazolio
	if($fezTetrazolio=="sim"):
    	if($matrizResumo[3][12]=="")$i24='0';//duras
    	if($matrizResumo[3][3]=="")$i25='0';//mecanico
    	if($matrizResumo[3][6]=="")$i26='0';//umidad
    	if($matrizResumo[3][9]=="")$i27='0';//percevejo
	endif;//aqui testa se fez tetrazolio

	//aqui tem um casuismo para o tabajara 01/11/2015: Se fez germinacao entao deve esconder tetrazolio
	if($clienteReduzido=='TS L'  &&  $vetorAmostraBruto[3]>0):
       $i22="-N-";//viab  	
       $i23="-N-";//vigor
       $i24="-N-";//duras
       $i25="-N-";//mec
       $i26="-N-";//umid
       $i27="-N-";//percevejo
	endif;
    //se for forrageira ele coloca nos demais camspos -N-
    if($tipo=='FORRAGEIRA'):
       $i24="-N-";//duras
       $i25="-N-";//mec
       $i26="-N-";//umid
       $i27="-N-";//percevejo
	endif;

	
	//$objetocalculo = new calculos(); //calcula todos valores finais
	//$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
	//$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
    //$i22=$matrizResumo[3][10];	
    //$i23=$matrizResumo[3][11];	
	//$i22=$amostraLong;
	
	
	//aqui imprime os resultados de tz
	$pdf->Cell($vetorLargura[22],5,$i22,1,0,'C');//viabilidade	
	$pdf->Cell($vetorLargura[23],5,$i23,1,0,'C');//vigor em soja e feijao
	$pdf->Cell($vetorLargura[24],5,$i24,1,0,'C');//duras
	//o laudo plural cruz alta qu tambem é o informe nao segue a sequencia MUP e sim MPU
	$pdf->Cell($vetorLargura[25],5,$i25,1,0,'C');//mecanico
	$pdf->Cell($vetorLargura[27],5,$i27,1,0,'C');//percevejo
	$pdf->Cell($vetorLargura[26],5,$i26,1,0,'C');//umidade
	$contador++;//este contador so serve para ele nao reimprimir o titulo das colunas 
	
	//setor contaminantes identico ao boletim
	//$base[$indiceVetorNomesContaminantes][1]="Outras sementes:";	
	//$indiceVetorNomesContaminantes=1;
	//so entra se tiver sislvestre
    $somaOE=$vetorAmostraBruto[7];//
    $somaSI=$vetorAmostraBruto[8];//
    $somaTO=$vetorAmostraBruto[9];//
    $somaPR=$vetorAmostraBruto[10];//
	$conteudoBasico="Amostra Nº ".$vetorAmostraBruto[1]." : ";
	if($somaOE>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='1OES' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
			 // echo("conteudo $conteudo<br>"); 
		 endwhile;

	endif;


	if($somaSI>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='2SIL' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;

	if($somaTO>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='3NOT' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;
	 
	if($somaPR>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='4NOP' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
		 $joga3=0;
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>70):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;
	
	
	
//final dos  contaminantes	 
	///$indiceVetorNomesContaminantes++;
	//$base[$indiceVetorNomesContaminantes][1]="-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O";	
if(strlen($contaminanteAcumulado)>0 && $iniciando=="NAO"):
	 $indiceVetorNomesContaminantes++;
     $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
endif;	

	
	
	
endwhile;//FINAL DO ENDWILE QUE ACHA A ID DENTRO DO DOCUMENTOSPONTE
###################################################################
 //coloca  um -O-  para fechar =================
 $cota1+=5;//incrementa linha para colocar na linha seguinte
 //so vai imprimr -o- se for menos de 7 amostras
 if($registros<7):
	 $pdf->setXY($margemEsquerda,$cota1);
	 for($i=1;$i<=27;$i++):  
		$pdf->Cell($vetorLargura[$i],5,"-O-",1,0,'C');//numero de ordem 1,2,3,4,5 
	 endfor;
endif; 
//terminou de imprimir resultados



	 //terminou de imprimir resultado agora vi para  CONTAMINANTES observacoes tecico e assinatura
     $cota4=140;

    #########3 ULTIMAS CAIXAS################################################
     //conteudos
     //daque pra frente fica defnicido pela penultima cota que é a cota 7	
	 //vai colocar o tratamento tabajara na primeira linha de observacao vazia
     for($linhaObs=19;$linhaObs<=26;$linhaObs++):
        if(strlen($vetorDadosDocumento[$linhaObs])<3):
		   $vetorDadosDocumento[$linhaObs]=$tratamentoTabajara;
		   break;
		endif;
	 endfor; 
	  
	 $base[1][2]="Observações:";
	 $base[2][2]=$vetorDadosDocumento[19];
	 $base[3][2]=$vetorDadosDocumento[20];
	 $base[4][2]=$vetorDadosDocumento[21];
	 $base[5][2]=$vetorDadosDocumento[22];
	 $base[6][2]=$vetorDadosDocumento[23];
	 $base[7][2]=$vetorDadosDocumento[24];
	 $base[8][2]=$vetorDadosDocumento[25];
	 $base[9][2]=$vetorDadosDocumento[26];

     //NOTAS ,DATA E responsavel tecnico
	 $base[1][3]="NOTAS:A presente análise tem seu valor restrito à amostra";
	 $base[2][3]="entregue ao laboratório.";
	 $base[3][3]="2-A identificação da amostra é de exclusiva responsabilidade" ;
	 $base[4][3]="do remetente.";
	 $base[5][3]="3-Métodos de análise segundo as RAS em vigor ou outro";
	 $base[6][3]="informado no campo observações.";
     $base[7][3]=$vetorCabecalho[6].", ".$vetorDadosDocumento[27];//local e data
	 $base[8][3]="";
	 $base[9][3]="";
	 //captura o rt
	 $cota7=155;
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,229,$cota7+15,61,14,'JPG');
     endif;

	$base[10][3]=$vetorTecnico[1];//nome do rt
    $base[11][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];	
    $base[12][3]=$vetorTecnico[7];  //cargo responsavel tecnico substituto etc

	 $largo[1]=115;
	 $largo[2]=105;
	 $largo[3]=65;
	 $pdf->SetXY(10,$cota7);
	 $positron[1]=10;
	 $larguraDaLinha=4.0;
     $posicao1=$margemEsquerda;
	 $posicao2=$posicao1+$largo[1];
	 $posicao3=$posicao2+$largo[2];

//TERMINOU DE CRIAR OS CONTEUDOS ENTAO AGORA IMPRIME TODO O SETOR FINAL DAS 3 CAISXA E AS LINHAS VERTICAIS E HORIZONTAIS

 	 $pdf->Line($posicao3,$cota7,$posicao3,$cota8);//linha separadora
	 $pdf->Line($posicao2,$cota7,$posicao2,$cota8);//linha separadora
	 $pdf->Line($margemEsquerda,$cota7,$margemDireita,$cota7);//linha antes de observacoes	
	 $pdf->SetXY(10,$cota7);
	 
	 
	 //imprime as contaminamates///////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetXY($posicao1,$cotaLinha);
     $pdf->Cell($largo[1],$larguraDaLinha,"Outras sementes;",0,0,'L');	
     $cotaLinha+=4;
	 $pdf->SetFont('Times','I',7);

     for($L=1;$L<=10;$L++):
		 $pdf->SetXY($posicao1,$cotaLinha);
         //se nao tem nada numa linha, significa que encerrou entao imprime -o-o- para finalizar
	     if($base[$L][1]!=""):
		      $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][1]),0,0,'L');	
		 else:
		      $pdf->Cell($largo[1],$larguraDaLinha,'-o-o-',0,0,'L');	
			  break;
		 endif; 	  
	     $cotaLinha+=$larguraDaLinha;
     endfor;	 


	 //imprime observacoes//////////////////////////////////////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetFont('Times','',7);
     for($L=1;$L<=10;$L++)
	 {
		 $pdf->SetXY($posicao2,$cotaLinha);
		 //se nao tem nada numa linha, significa que encerrou entao imprime -o-o- para finalizar
	     if(strlen($base[$L][2])>1):
		      $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][2]),0,0,'L');	
		 else:
		      $pdf->Cell($largo[1],$larguraDaLinha,'-o-o-',0,0,'L');	
			  break;
		 endif; 	  
	     $cotaLinha+=$larguraDaLinha;
     }	 


	 //imprime notas e assinatura
	 $cotaLinha=$cota7+2;
	 //da linha 1 até linha 6 coloca fonte menor
	 $pdf->SetFont('Times','',6);
     for($L=1;$L<=6;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],2,utf8_decode($base[$L][3]),0,0,'L');	
	     $cotaLinha+=2;
     }	 
	 $pdf->SetFont('Times','',7);

     for($L=7;$L<=12;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],4,utf8_decode($base[$L][3]),0,0,'C');	
	     $cotaLinha+=4;
     }	 


     $pdf->setXY(20,194);
	 //$total=595.28*193/184;
	 //$pdf->Cell(50,5,$total,0,1,'L');
     //coloca  as 3 linhas separadoras verticais 
	 $posicao1=$largo[1]+10;
	 $posicao2=$posicao1+$largo[2];
	 //vai imprimir numero de via
	 //$pdf->SetFont('Times','B',8);
	 //$pdf->SetXY(271,$cota8);//era -10//
     //$pdf->Cell(20,$larguraDaLinha,$pdf->vetorCabecalho[17],1,1,R);	


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
